Bug 331694 - exr save as broken on Centos in 2.8
Summary: exr save as broken on Centos in 2.8
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: File formats (show other bugs)
Version: 2.8 Beta
Platform: RedHat RPMs Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL: http://i.imgur.com/zZLsgrc.png
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-03 09:57 UTC by Erik
Modified: 2014-05-22 15:15 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik 2014-03-03 09:57:01 UTC
When trying to save an exr in Krita 2.8 on Centos we get the errormsg: http://i.imgur.com/zZLsgrc.png  "Could not export file. Did you specify the correct file format?"

*Errormsg appears both when explicitly specifying the fileextension in the name and when just picking target format.
*Actual Save works. Just not the Save As dialog. Modifying an existing exr file works without issues
*If I compile 2.7 we can save exr files without problems.
*On ubuntu 13.04 the issue do not exist.

Reproducible: Always

Steps to Reproduce:
1. Paint something
2. Try to save exr
Actual Results:  
Error msg dialog: "Could not export file. Did you specify the correct file format?"

Expected Results:  
File saved.

Could not pick CentOS as Platform but this is on CentOS 6.2 and 6.4.
Comment 1 Erik 2014-03-03 09:58:08 UTC
*All other fileformats works.
Comment 2 Halla Rempt 2014-03-03 10:40:16 UTC
The latest Krita Studio installer still works -- it is a 2.8 made Februay 4th at SHA1 7118cbb66c97548e89a2413b547297a04768ef1e.
Comment 3 Erik 2014-03-03 11:06:46 UTC
Compiled hash 7118cbb66c97548e89a2413b547297a04768ef1e and still error but shorter errormsg.

http://i.imgur.com/pldjC1n.png

Just reporting the issue as it exists here. I understand you can't do much when you can't reproduce it.
Comment 4 Halla Rempt 2014-03-03 11:12:18 UTC
Is there any info on the command line if you enable the koffice and krita 
file debug areas?

On Mon, 3 Mar 2014, Erik wrote:

> https://bugs.kde.org/show_bug.cgi?id=331694
>
> --- Comment #3 from Erik <erik.johansson.evegard@gmail.com> ---
> Compiled hash 7118cbb66c97548e89a2413b547297a04768ef1e and still error but
> shorter errormsg.
>
> http://i.imgur.com/pldjC1n.png
>
> Just reporting the issue as it exists here. I understand you can't do much when
> you can't reproduce it.
>
> -- 
> You are receiving this mail because:
> You are on the CC list for the bug.
> You are watching the assignee of the bug.
>
Comment 5 Erik 2014-03-03 11:44:11 UTC
Enabled 31000, 30500, 41000, 41003, 41005, 41006, 41007, 41008. 
Zero output from when opening Save As dialog and going through the process of trying to save to clicking away the error msg.
Comment 6 Erik 2014-03-03 11:46:46 UTC
Enabled all koffice and krita debugs. Then i got:

krita(25419)/koffice (lib komain) KoMainWindow::saveDocument: KoMainWindow::saveDocument no export filter for ""
krita(25419)/koffice (lib komain) KoDocument::saveFile: doc= "file:///mnt/home/erjo/testing.exr"
krita(25419)/koffice (lib komain) KoDocument::saveFile: Saving to format "application/x-extension-exr" in "/mnt/home/erjo/testing.exr"
krita(25419)/koffice (lib komain) KoMainWindow::slotSaveCanceled: KoMainWindow::slotSaveCanceled
krita(25419)/koffice (lib komain) KoMainWindow::slotSaveCompleted: KoMainWindow::slotSaveCompleted
krita(25419)/koffice (lib komain) KoMainWindow::saveDocument: Failed Save As!
krita(25419)/koffice (lib komain) KoMainWindow::updateCaption: KoMainWindow::updateCaption()
krita(25419)/koffice (lib komain) KoMainWindow::updateCaption: KoMainWindow::updateCaption( "unnamed" , true )
Comment 7 Erik 2014-03-03 12:22:55 UTC
Backtrace for slotSaveCanceled

krita(32510)/koffice (lib komain) KoMainWindow::slotSaveCanceled: KoMainWindow::slotSaveCanceled "[
0: /usr/lib64/libkdecore.so.5(_Z14kRealBacktracei+0x38) [0x3e8eed4598]
1: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow16slotSaveCanceledERK7QString+0x42) [0x7f5fe10247c2]
2: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow11qt_metacallEN11QMetaObject4CallEiPPv+0x527) [0x7f5fe102ebf7]
3: /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x32f) [0x3e8e16a7af]
4: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN10KoDocument8canceledERK7QString+0x25) [0x7f5fe0fe95f5]
5: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN10KoDocument4saveEv+0xd3) [0x7f5fe0fecf13]
6: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN10KoDocument6saveAsERK4KUrl+0x24a) [0x7f5fe0ff899a]
7: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow12saveDocumentEbbi+0x909) [0x7f5fe102bd79]
8: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow14slotFileSaveAsEv+0x12) [0x7f5fe102dea2]
9: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow11qt_metacallEN11QMetaObject4CallEiPPv+0x16d) [0x7f5fe102e83d]
10: /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x32f) [0x3e8e16a7af]
11: /usr/lib64/libQtGui.so.4(_ZN7QAction9triggeredEb+0x32) [0x3e901a5a92]
12: /usr/lib64/libQtGui.so.4(_ZN7QAction8activateENS_11ActionEventE+0x7b) [0x3e901a71cb]
13: /usr/lib64/libQtGui.so.4() [0x3e905a9b95]
14: /usr/lib64/libQtGui.so.4() [0x3e905aef8a]
15: /usr/lib64/libkdeui.so.5(_ZN5KMenu17mouseReleaseEventEP11QMouseEvent+0x3e) [0x3e914b984e]
16: /usr/lib64/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x9ca) [0x3e901f5b9a]
17: /usr/lib64/libQtGui.so.4(_ZN5QMenu5eventEP6QEvent+0x6b) [0x3e905b0f4b]
18: /usr/lib64/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xac) [0x3e901aaa0c]
19: /usr/lib64/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x915) [0x3e901b1425]
20: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN13KoApplication6notifyEP7QObjectP6QEvent+0x28) [0x7f5fe0fe2928]
21: /usr/lib64/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c) [0x3e8e157cdc]
22: /usr/lib64/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0x19e) [0x3e901b061e]
23: /usr/lib64/libQtGui.so.4() [0x3e9022292d]
24: /usr/lib64/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x8d0) [0x3e90220ec0]
25: /usr/lib64/libQtGui.so.4() [0x3e90249da2]
26: /lib64/libglib-2.0.so.0(g_main_context_dispatch+0x22e) [0x3718438f0e]
27: /lib64/libglib-2.0.so.0() [0x371843c938]
28: /lib64/libglib-2.0.so.0(g_main_context_iteration+0x7a) [0x371843ca3a]
29: /usr/lib64/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x73) [0x3e8e17d5f3]
30: /usr/lib64/libQtGui.so.4() [0x3e90249a6e]
31: /usr/lib64/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32) [0x3e8e156722]
32: /usr/lib64/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xdc) [0x3e8e1569ec]
33: /usr/lib64/libQtCore.so.4(_ZN16QCoreApplication4execEv+0xb9) [0x3e8e158cd9]
34: /mnt/home/erjo/CalligraSource/install/lib64/libkdeinit4_krita.so(kdemain+0x305) [0x7f5fe1d1d955]
35: /lib64/libc.so.6(__libc_start_main+0xfd) [0x371701ecdd]
36: krita() [0x400919]
Comment 8 Erik 2014-03-03 14:12:15 UTC
More backtraces

krita(25801)/koffice (lib komain) KoMainWindow::saveDocument: KoMainWindow::saveDocument no export filter for "" "[
0: /usr/lib64/libkdecore.so.5(_Z14kRealBacktracei+0x38) [0x3e8eed4598]
1: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow12saveDocumentEbbi+0x34f) [0x7f560ffe37bf]
2: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow14slotFileSaveAsEv+0x12) [0x7f560ffe6092]
3: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow11qt_metacallEN11QMetaObject4CallEiPPv+0x16d) [0x7f560ffe6a2d]
4: /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x32f) [0x3e8e16a7af]
5: /usr/lib64/libQtGui.so.4(_ZN7QAction9triggeredEb+0x32) [0x3e901a5a92]
6: /usr/lib64/libQtGui.so.4(_ZN7QAction8activateENS_11ActionEventE+0x7b) [0x3e901a71cb]
7: /usr/lib64/libQtGui.so.4() [0x3e905a9b95]
8: /usr/lib64/libQtGui.so.4() [0x3e905aef8a]
9: /usr/lib64/libkdeui.so.5(_ZN5KMenu17mouseReleaseEventEP11QMouseEvent+0x3e) [0x3e914b984e]
10: /usr/lib64/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x9ca) [0x3e901f5b9a]
11: /usr/lib64/libQtGui.so.4(_ZN5QMenu5eventEP6QEvent+0x6b) [0x3e905b0f4b]
12: /usr/lib64/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xac) [0x3e901aaa0c]
13: /usr/lib64/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x915) [0x3e901b1425]
14: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN13KoApplication6notifyEP7QObjectP6QEvent+0x28) [0x7f560ff9a928]
15: /usr/lib64/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c) [0x3e8e157cdc]
16: /usr/lib64/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0x19e) [0x3e901b061e]
17: /usr/lib64/libQtGui.so.4() [0x3e9022292d]
18: /usr/lib64/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x8d0) [0x3e90220ec0]
19: /usr/lib64/libQtGui.so.4() [0x3e90249da2]
20: /lib64/libglib-2.0.so.0(g_main_context_dispatch+0x22e) [0x3718438f0e]
21: /lib64/libglib-2.0.so.0() [0x371843c938]
22: /lib64/libglib-2.0.so.0(g_main_context_iteration+0x7a) [0x371843ca3a]
23: /usr/lib64/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x73) [0x3e8e17d5f3]
24: /usr/lib64/libQtGui.so.4() [0x3e90249a6e]
25: /usr/lib64/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32) [0x3e8e156722]
26: /usr/lib64/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xdc) [0x3e8e1569ec]
27: /usr/lib64/libQtCore.so.4(_ZN16QCoreApplication4execEv+0xb9) [0x3e8e158cd9]
28: /mnt/home/erjo/CalligraSource/install/lib64/libkdeinit4_krita.so(kdemain+0x305) [0x7f5610cd5955]
29: /lib64/libc.so.6(__libc_start_main+0xfd) [0x371701ecdd]
30: krita() [0x400919]
]
"
krita(25801)/koffice (lib komain) KoDocument::saveFile: doc= "file:///mnt/home/erjo/testing.exr"
krita(25801)/koffice (lib komain) KoDocument::saveFile: Saving to format "application/x-extension-exr" in "/mnt/home/erjo/testing.exr"
krita(25801)/koffice (lib komain) KoMainWindow::slotSaveCanceled: KoMainWindow::slotSaveCanceled "[
0: /usr/lib64/libkdecore.so.5(_Z14kRealBacktracei+0x38) [0x3e8eed4598]
1: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow16slotSaveCanceledERK7QString+0x42) [0x7f560ffdc7c2]
2: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow11qt_metacallEN11QMetaObject4CallEiPPv+0x527) [0x7f560ffe6de7]
3: /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x32f) [0x3e8e16a7af]
4: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN10KoDocument8canceledERK7QString+0x25) [0x7f560ffa15f5]
5: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN10KoDocument4saveEv+0xd3) [0x7f560ffa4f13]
6: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN10KoDocument6saveAsERK4KUrl+0x24a) [0x7f560ffb099a]
7: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow12saveDocumentEbbi+0x969) [0x7f560ffe3dd9]
8: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow14slotFileSaveAsEv+0x12) [0x7f560ffe6092]
9: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow11qt_metacallEN11QMetaObject4CallEiPPv+0x16d) [0x7f560ffe6a2d]
10: /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x32f) [0x3e8e16a7af]
11: /usr/lib64/libQtGui.so.4(_ZN7QAction9triggeredEb+0x32) [0x3e901a5a92]
12: /usr/lib64/libQtGui.so.4(_ZN7QAction8activateENS_11ActionEventE+0x7b) [0x3e901a71cb]
13: /usr/lib64/libQtGui.so.4() [0x3e905a9b95]
14: /usr/lib64/libQtGui.so.4() [0x3e905aef8a]
15: /usr/lib64/libkdeui.so.5(_ZN5KMenu17mouseReleaseEventEP11QMouseEvent+0x3e) [0x3e914b984e]
16: /usr/lib64/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x9ca) [0x3e901f5b9a]
17: /usr/lib64/libQtGui.so.4(_ZN5QMenu5eventEP6QEvent+0x6b) [0x3e905b0f4b]
18: /usr/lib64/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xac) [0x3e901aaa0c]
19: /usr/lib64/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x915) [0x3e901b1425]
20: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN13KoApplication6notifyEP7QObjectP6QEvent+0x28) [0x7f560ff9a928]
21: /usr/lib64/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c) [0x3e8e157cdc]
22: /usr/lib64/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0x19e) [0x3e901b061e]
23: /usr/lib64/libQtGui.so.4() [0x3e9022292d]
24: /usr/lib64/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x8d0) [0x3e90220ec0]
25: /usr/lib64/libQtGui.so.4() [0x3e90249da2]
26: /lib64/libglib-2.0.so.0(g_main_context_dispatch+0x22e) [0x3718438f0e]
27: /lib64/libglib-2.0.so.0() [0x371843c938]
28: /lib64/libglib-2.0.so.0(g_main_context_iteration+0x7a) [0x371843ca3a]
29: /usr/lib64/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x73) [0x3e8e17d5f3]
30: /usr/lib64/libQtGui.so.4() [0x3e90249a6e]
31: /usr/lib64/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32) [0x3e8e156722]
32: /usr/lib64/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xdc) [0x3e8e1569ec]
33: /usr/lib64/libQtCore.so.4(_ZN16QCoreApplication4execEv+0xb9) [0x3e8e158cd9]
34: /mnt/home/erjo/CalligraSource/install/lib64/libkdeinit4_krita.so(kdemain+0x305) [0x7f5610cd5955]
35: /lib64/libc.so.6(__libc_start_main+0xfd) [0x371701ecdd]
36: krita() [0x400919]
]
"
krita(25801)/koffice (lib komain) KoMainWindow::slotSaveCompleted: KoMainWindow::slotSaveCompleted
krita(25801)/koffice (lib komain) KoMainWindow::saveDocument: Failed Save As! "[
0: /usr/lib64/libkdecore.so.5(_Z14kRealBacktracei+0x38) [0x3e8eed4598]
1: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow12saveDocumentEbbi+0x13c1) [0x7f560ffe4831]
2: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow14slotFileSaveAsEv+0x12) [0x7f560ffe6092]
3: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN12KoMainWindow11qt_metacallEN11QMetaObject4CallEiPPv+0x16d) [0x7f560ffe6a2d]
4: /usr/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x32f) [0x3e8e16a7af]
5: /usr/lib64/libQtGui.so.4(_ZN7QAction9triggeredEb+0x32) [0x3e901a5a92]
6: /usr/lib64/libQtGui.so.4(_ZN7QAction8activateENS_11ActionEventE+0x7b) [0x3e901a71cb]
7: /usr/lib64/libQtGui.so.4() [0x3e905a9b95]
8: /usr/lib64/libQtGui.so.4() [0x3e905aef8a]
9: /usr/lib64/libkdeui.so.5(_ZN5KMenu17mouseReleaseEventEP11QMouseEvent+0x3e) [0x3e914b984e]
10: /usr/lib64/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x9ca) [0x3e901f5b9a]
11: /usr/lib64/libQtGui.so.4(_ZN5QMenu5eventEP6QEvent+0x6b) [0x3e905b0f4b]
12: /usr/lib64/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xac) [0x3e901aaa0c]
13: /usr/lib64/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x915) [0x3e901b1425]
14: /mnt/home/erjo/CalligraSource/install/lib64/libkomain.so.13(_ZN13KoApplication6notifyEP7QObjectP6QEvent+0x28) [0x7f560ff9a928]
15: /usr/lib64/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c) [0x3e8e157cdc]
16: /usr/lib64/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0x19e) [0x3e901b061e]
17: /usr/lib64/libQtGui.so.4() [0x3e9022292d]
18: /usr/lib64/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x8d0) [0x3e90220ec0]
19: /usr/lib64/libQtGui.so.4() [0x3e90249da2]
20: /lib64/libglib-2.0.so.0(g_main_context_dispatch+0x22e) [0x3718438f0e]
21: /lib64/libglib-2.0.so.0() [0x371843c938]
22: /lib64/libglib-2.0.so.0(g_main_context_iteration+0x7a) [0x371843ca3a]
23: /usr/lib64/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x73) [0x3e8e17d5f3]
24: /usr/lib64/libQtGui.so.4() [0x3e90249a6e]
25: /usr/lib64/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32) [0x3e8e156722]
26: /usr/lib64/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xdc) [0x3e8e1569ec]
27: /usr/lib64/libQtCore.so.4(_ZN16QCoreApplication4execEv+0xb9) [0x3e8e158cd9]
28: /mnt/home/erjo/CalligraSource/install/lib64/libkdeinit4_krita.so(kdemain+0x305) [0x7f5610cd5955]
29: /lib64/libc.so.6(__libc_start_main+0xfd) [0x371701ecdd]
30: krita() [0x400919]
]
"
krita(25801)/koffice (lib komain) KoMainWindow::updateCaption: KoMainWindow::updateCaption()
krita(25801)/koffice (lib komain) KoMainWindow::updateCaption: KoMainWindow::updateCaption( "unnamed" , true )
Comment 9 Halla Rempt 2014-05-08 12:48:19 UTC
Maybe a solution could be that you guys get a test account for Krita Studio, so you can check that it works in Krita studio?
Comment 10 Halla Rempt 2014-05-22 13:46:42 UTC
I should have seen this before:

application/x-extension-exr

instead of

image/exr
Comment 11 Halla Rempt 2014-05-22 15:15:34 UTC
Git commit fee004ab0c05e22656c014e15ca762551f406cee by Boudewijn Rempt.
Committed on 22/05/2014 at 14:22.
Pushed by rempt into branch 'master'.

With a bunch of 3rd party commercial proprietary apps installed, an extra
mimetype gets installed "x-application/x-extension-exr", which apparently
takes precedence and confuses the filter system.

Let's add that one as well, even though now there are two options to export
to exr...

M  +1    -1    krita/plugins/formats/exr/krita_exr.desktop
M  +1    -1    krita/plugins/formats/exr/krita_exr_export.desktop
M  +1    -1    krita/plugins/formats/exr/krita_exr_import.desktop

http://commits.kde.org/calligra/fee004ab0c05e22656c014e15ca762551f406cee